customer_portal
Remove Member
Remove a member from the team.
Only available to owners and billing managers of team customers.
Rules:
- Cannot remove yourself
- Cannot remove the only owner
DELETE
/
v1
/
customer-portal
/
members
/
{id}
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
ourpay.customer_portal.members.remove_member(
'00000000-0000-4000-8000-000000000000',
)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
await ourpay.customerPortal.members.removeMember(
"00000000-0000-4000-8000-000000000000",
);
curl --request DELETE \
--url https://api.ourpay.dev/v1/customer-portal/members/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ourpay.dev/v1/customer-portal/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Member session tokens are specific tokens that are used to authenticate members on your organization. You can create those sessions programmatically using the Create Member Session endpoint.
Path Parameters
Response
Member removed.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
ourpay.customer_portal.members.remove_member(
'00000000-0000-4000-8000-000000000000',
)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
await ourpay.customerPortal.members.removeMember(
"00000000-0000-4000-8000-000000000000",
);
